---
title: update()
slug: Web/API/MediaKeySession/update
tags:
  - API
  - EncryptedMediaExtensions
  - Experimental
  - MediaKeySession
  - Method
  - NeedsExample
  - Reference
  - Update
---
<p>{{APIRef("EncryptedMediaExtensions")}}{{SeeCompatTable}}</p>

<p>The <code>MediaKeySession.update()</code> method loads messages and licenses to the CDM, and then returns a {{jsxref('Promise')}} .</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>mediaKeySession</var>.update(<var>response</var>).then(function() { ... });</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>response</dt>
 <dd>An instance of type BufferSource.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{jsxref('Promise')}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('EME', '#dom-mediakeysession-update', 'update()')}}</td>
   <td>{{Spec2('EME')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MediaKeySession.update")}}</p>
</div>
